Bug 1433755 - Pen input works incorrectly after update
Summary: Pen input works incorrectly after update
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: xorg-x11-drv-libinput
Version: 25
Hardware: x86_64
OS: Linux
unspecified
medium
Target Milestone: ---
Assignee: Peter Hutterer
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2017-03-19 20:19 UTC by Travis Porter
Modified: 2017-03-24 18:56 UTC (History)
4 users (show)

Fixed In Version: xorg-x11-drv-libinput-0.23.0-3.fc25
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2017-03-24 18:56:21 UTC


Attachments (Terms of Use)
Not working evemu recording of drawing 4 dots (30.03 KB, text/plain)
2017-03-21 00:50 UTC, Travis Porter
no flags Details
Working evemu recording of drawing 4 dots (14.69 KB, text/plain)
2017-03-21 00:50 UTC, Travis Porter
no flags Details

Description Travis Porter 2017-03-19 20:19:28 UTC
Description of problem:
Updating libinput causes the stylus to work incorrectly. Downgrading libinput fixes the problem.

Version-Release number of selected component (if applicable):
0.23.0-2.fc25

How reproducible:
Install latest libinput. Attempt to draw.

Steps to Reproduce:
1. Install latest libinput.
2. Open up any drawing program (Xounal, GIMP, etc)
3. Attempt to draw.

Actual results:
Drawing dots(tapping the screen in multiple places in a drawing program) will draw lines to the previous dots.

Expected results:
Individual dots while drawing.

Additional info:

0.19.1-3.20160929.fc25 works as expected.

xinput list from 0.19:
 Virtual core pointer                    	id=2	[master pointer  (3)]
⎜   ↳ Virtual core XTEST pointer              	id=4	[slave  pointer  (2)]
⎜   ↳ Lenovo ideapad MIIX 700 USB keyboard    	id=11	[slave  pointer  (2)]
⎜   ↳ ELAN222E:00 04F3:222E                   	id=12	[slave  pointer  (2)]
⎜   ↳ ELAN222E:00 04F3:222E Pen               	id=13	[slave  pointer  (2)]
⎣ Virtual core keyboard                   	id=3	[master keyboard (2)]
    ↳ Virtual core XTEST keyboard             	id=5	[slave  keyboard (3)]
    ↳ Power Button                            	id=6	[slave  keyboard (3)]
    ↳ Video Bus                               	id=7	[slave  keyboard (3)]
    ↳ Power Button                            	id=8	[slave  keyboard (3)]
    ↳ Lenovo ideapad MIIX 700 USB keyboard    	id=9	[slave  keyboard (3)]
    ↳ Lenovo ideapad MIIX 700 USB keyboard    	id=10	[slave  keyboard (3)]
    ↳ Ideapad extra buttons                   	id=14	[slave  keyboard (3)]
    ↳ Intel Virtual Button driver             	id=15	[slave  keyboard (3)]
    ↳ AT Translated Set 2 keyboard            	id=16	[slave  keyboard (3)]

xinput list from 0.23:
⎡ Virtual core pointer                    	id=2	[master pointer  (3)]
⎜   ↳ Virtual core XTEST pointer              	id=4	[slave  pointer  (2)]
⎜   ↳ Lenovo ideapad MIIX 700 USB keyboard    	id=11	[slave  pointer  (2)]
⎜   ↳ ELAN222E:00 04F3:222E                   	id=12	[slave  pointer  (2)]
⎜   ↳ ELAN222E:00 04F3:222E Pen Pen (0)       	id=17	[slave  pointer  (2)]
⎣ Virtual core keyboard                   	id=3	[master keyboard (2)]
    ↳ Virtual core XTEST keyboard             	id=5	[slave  keyboard (3)]
    ↳ Power Button                            	id=6	[slave  keyboard (3)]
    ↳ Video Bus                               	id=7	[slave  keyboard (3)]
    ↳ Power Button                            	id=8	[slave  keyboard (3)]
    ↳ Lenovo ideapad MIIX 700 USB keyboard    	id=9	[slave  keyboard (3)]
    ↳ Lenovo ideapad MIIX 700 USB keyboard    	id=10	[slave  keyboard (3)]
    ↳ ELAN222E:00 04F3:222E Pen               	id=13	[slave  keyboard (3)]
    ↳ Ideapad extra buttons                   	id=14	[slave  keyboard (3)]
    ↳ Intel Virtual Button driver             	id=15	[slave  keyboard (3)]
    ↳ AT Translated Set 2 keyboard            	id=16	[slave  keyboard (3)]

Comment 1 Peter Hutterer 2017-03-20 21:48:35 UTC
Attach an evemu record of a dot-drawing please, thanks

Comment 2 Travis Porter 2017-03-21 00:50:02 UTC
Created attachment 1264888 [details]
Not working evemu recording of drawing 4 dots

Comment 3 Travis Porter 2017-03-21 00:50:41 UTC
Created attachment 1264889 [details]
Working evemu recording of drawing 4 dots

Comment 4 Fedora Update System 2017-03-22 01:55:22 UTC
xorg-x11-drv-libinput-0.23.0-3.fc25 has been submitted as an update to Fedora 25. https://bodhi.fedoraproject.org/updates/FEDORA-2017-c0cb900dc8

Comment 5 Fedora Update System 2017-03-22 20:22:27 UTC
xorg-x11-drv-libinput-0.23.0-3.fc25 has been pushed to the Fedora 25 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2017-c0cb900dc8

Comment 6 Travis Porter 2017-03-23 01:46:17 UTC
Ok, the initial issue is fixed, but now I notice sensitivity didn't work as well(neither in 0.23.0-2 nor 0.23.0-3, but functions in 0.19.1-3). Should I create a new ticket?

Comment 7 Peter Hutterer 2017-03-23 01:57:40 UTC
yes please, gets too messy otherwise.

Comment 8 Fedora Update System 2017-03-24 18:56:21 UTC
xorg-x11-drv-libinput-0.23.0-3.fc25 has been pushed to the Fedora 25 stable repository. If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.